Package org.drinkless.tdlib

# Class TdApi.TextQuote

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.TextQuote

Enclosing class:
  `TdApi`

public static class TdApi.TextQuote extends TdApi.Object
Describes manually or automatically chosen quote from another message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isManual`
  True, if the quote was manually chosen by the message sender.
  `int`
  `position`
  Approximate quote position in the original message in UTF-16 code units as specified by the message sender.
  `TdApi.FormattedText`
  `text`
  Text of the quote.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextQuote()`
  Describes manually or automatically chosen quote from another message.
  `TextQuote(TdApi.FormattedText text, int position, boolean isManual)`
  Describes manually or automatically chosen quote from another message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.FormattedText text
    Text of the quote. Only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities can be present in the text.

  - ### position

    public int position
    Approximate quote position in the original message in UTF-16 code units as specified by the message sender.

  - ### isManual

    public boolean isManual
    True, if the quote was manually chosen by the message sender.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TextQuote

    public TextQuote()
    Describes manually or automatically chosen quote from another message.

  - ### TextQuote

    public TextQuote(TdApi.FormattedText text, int position, boolean isManual)
    Describes manually or automatically chosen quote from another message.
    Parameters:
      `text` - Text of the quote. Only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, and DateTime entities can be present in the text.
      `position` - Approximate quote position in the original message in UTF-16 code units as specified by the message sender.
      `isManual` - True, if the quote was manually chosen by the message sender.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR